precision mediump float;

uniform sampler2D uTex0;
uniform vec4 uShadowColor;
uniform float uShadowAlpha;

varying vec2 textureCoordinate;

void main(void)
{
	float sample = texture2D(uTex0, textureCoordinate).a;
	float opacity = clamp(sample * 1.5, 0.0, 1.0);
	vec4 shadow = vec4(uShadowColor.rgb, opacity * uShadowAlpha);
	gl_FragColor = shadow;
}